apiVersion: apps/v1
kind: StatefulSet
metadata:
  labels:
    app: gogs-app
  name: gogs-app
  namespace: gogs
spec:
  replicas: 1
  selector:
    matchLabels:
      app: gogs-app
  serviceName: gogs-app
  template:
    metadata:
      labels:
        app: gogs-app
    spec:
      containers:
      - image: docker-registry:32000/gogs:1.0
        imagePullPolicy: IfNotPresent
        name: gogs-app
        resources: {}
        ports:
          - containerPort: 3000
            name: web
            protocol: TCP
          - containerPort: 22
            name: ssh
            protocol: TCP
        volumeMounts:
        - name: gogs-pv
          mountPath: /data
      imagePullSecrets:
      - name: reg-cred-secret
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
  volumeClaimTemplates:
  - metadata:
      name: gogs-pv
    spec:
      accessModes: [ "ReadWriteOnce" ]
      resources:
        requests:
          storage: 10Gi
